Skip to main content
GET
List transactions

Prerequisites

Use a transactions-capable business account and a valid API key.
This operation is limited to 600 requests per minute per business and API key.

Authorizations

Authorization
string
header
required

A secret API key, sent as Authorization: Bearer sk_test_… in sandbox or Bearer sk_live_… in live.

Query Parameters

page
integer
default:1

One-based page number.

Required range: x >= 1
pageSize
integer

Number of records per page.

Required range: 1 <= x <= 100

Case-insensitive search term. Maximum 100 characters.

Maximum string length: 100
sort
enum<string>

Sort field and direction.

Available options:
createdAt,
-createdAt,
amount,
-amount,
status,
-status
currency
enum<string>

Filter by asset code.

Available options:
NGN,
USD,
GBP,
EUR,
GHS,
ZAR,
UGX,
CAD,
MXN,
AED,
BTC,
ETH,
USDT,
USDC
type
enum<string>

Filter by ledger direction.

Available options:
debit,
credit
accountId
string

Filter by account ID. A 26-character ULID.

Required string length: 26
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
Example:

"01K2Z3AB4C5D6E7F8G9HJKMNPQ"

status
enum<string>

Filter by transaction status.

Available options:
pending,
completed,
failed,
reversed,
rejected
category
enum<string>

Filter by category.

Available options:
card,
transfer,
bills_payment,
crypto
subCategory
enum<string>

Filter by subcategory. It must belong to category when both are supplied.

Available options:
charge,
card_funding,
card_withdrawal,
refund,
crypto_deposit,
crypto_withdrawal,
utility,
data,
airtime,
cable_tv,
education,
betting,
donation,
internet,
transport,
other,
inward,
outward

Response

Successful response.

items
object[]
required
pagination
object
required